Screen rotation broken in Wily

Bug #1492753 reported by Lee Donaghy on 2015-09-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Fix Released
Medium
xserver-xorg-video-ati (Ubuntu)
Low
Unassigned

Bug Description

Using a Radeon 280x (tahiti).

Rotation previously working in Vivid but not in Wily.
Arch is on xserver-xorg 1.17.2 and rotation is working so maybe a debian bug.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: xserver-xorg 1:7.7+7ubuntu4
ProcVersionSignature: Ubuntu 4.2.0-7.7-generic 4.2.0
Uname: Linux 4.2.0-7-generic x86_64
ApportVersion: 2.18-0ubuntu9
Architecture: amd64
CurrentDesktop: KDE
Date: Sun Sep 6 13:02:16 2015
InstallationDate: Installed on 2015-09-03 (3 days ago)
InstallationMedia: Kubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150825.1)
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.18.1-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: KDE
DistUpgraded: Fresh install
DistroCodename: wily
DistroRelease: Ubuntu 15.10
DistroVariant: kubuntu
ExtraDebuggingInterest: I just need to know a workaround
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Tahiti PRO [Radeon HD 7950/8950 OEM / R9 280] [1002:679a] (prog-if 00 [VGA controller])
   Subsystem: Gigabyte Technology Co., Ltd Device [1458:229a]
InstallationDate: Installed on 2015-09-03 (17 days ago)
InstallationMedia: Kubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150825.1)
MachineType: Gigabyte Technology Co., Ltd. EX58-UD3R
Package: xorg 1:7.7+7ubuntu4
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-10-generic root=UUID=433d9dbe-1395-4885-b668-19b707c0cd93 ro radeon.audio=0
ProcVersionSignature: Ubuntu 4.2.0-10.12-generic 4.2.0
Tags: wily kubuntu single-occurrence has-fix
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
Uname: Linux 4.2.0-10-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 05/04/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: FB
dmi.board.name: EX58-UD3R
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFB:bd05/04/2009:svnGigabyteTechnologyCo.,Ltd.:pnEX58-UD3R:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnEX58-UD3R:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: EX58-UD3R
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.64-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.6.3-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.6.3-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.17.2-1ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0+git20150819-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20150808-0ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu3
xserver.bootTime: Sun Sep 20 08:29:11 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.17.2-1ubuntu7
xserver.video_driver: radeon

Lee Donaghy (deadite66) wrote :

Lee Donaghy, thank you for reporting this and helping make Ubuntu better. Could you please run the following command from a terminal as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg 1492753

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete

apport information

tags: added: apport-collected has-fix kubuntu single-occurrence
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Lee Donaghy, as per http://www.gigabyte.com/products/product-page.aspx?pid=3265#bios an update to your computer's buggy and outdated BIOS is available (FK). If you update to this following https://help.ubuntu.com/community/BIOSUpdate does it change anything?

If it doesn't, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful. As well, you don't have to create a new bug report.

Once the BIOS is updated, and the information above is provided, then please mark this report Status New.

Thank you for your understanding.

tags: added: bios-outdated-fk
XiongZhang (xiong-y-zhang) wrote :

This issue happens on intel gpu also. I tried several BDW and SKL integrate GPU machines, all of them have this issue.

Lee Donaghy (deadite66) wrote :

Updated to the latest version offered by Gigabytes @Bios program.

lee@kubuntu:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
FJ
04/28/2011

Rotation is still broken.
if i run xrandr --output HDMI-0 --rotate normal the screen works but if i use --rotate left,right or inverted the screen is corrupted.
as i said it works fine on arch and previous versions of ubuntu.

Changed in xorg (Ubuntu):
status: Incomplete → New

Lee Donaghy, the latest available is FK, not FJ.

tags: added: latest-bios-fk
removed: bios-outdated-fk has-fix
Changed in xorg (Ubuntu):
status: New → Incomplete
Lee Donaghy (deadite66) wrote :

fine i'll just wait until Wily is released and other users bug reports come in.
you've ignored what i've said and going through a pointless call centre tick list.

Created attachment 118900
Xorg.0.log

Running Ubuntu Wily x64 on a Radeon R9 280.

when i rotate the screen on one of my monitors the screen corrupts though the mouse cursor i can still move about as normal.

rotate was working previously on Ubuntu Vivid.

tried the latest git from xf86-video-ati and it's still broken.

xrandr output:
lee@desktop:~$ xrandr
Screen 0: minimum 320 x 200, current 3160 x 1440, maximum 16384 x 16384
DVI-0 connected primary 2560x1440+0+0 (normal left inverted right x axis y axis) 597mm x 336mm
   2560x1440 59.95*+
DisplayPort-0 disconnected (normal left inverted right x axis y axis)
DisplayPort-1 disconnected (normal left inverted right x axis y axis)
HDMI-0 connected 600x800+2560+0 left (normal left inverted right x axis y axis) 360mm x 290mm
   800x600 85.06*+ 72.19 75.00 60.32 56.25
   1280x1024 75.02 + 60.02
   1280x960 60.00
   1280x800 84.88 74.93 59.91
   1152x864 75.00
   1280x768 84.84 74.89 59.99
   1280x720 60.00
   1024x768 85.00 75.08 70.07 60.00
   1024x576 59.97
   832x624 74.55
   848x480 60.00
   640x480 85.01 75.00 72.81 66.67 60.00 59.94
   720x400 85.04 70.08
   640x400 85.08
   640x350 85.08

Bisect log:
lee@desktop:~/xf86-video-ati$ git bisect log
git bisect start
# good: [5921ba4ca705a0d919515626088f3948cc4848c1] present: Don't flip between BOs with different tiling parameters
git bisect good 5921ba4ca705a0d919515626088f3948cc4848c1
# bad: [1584dc545c78e0bce8d4b4b9f26b568e2c211453] Skip disabled CRTCs in drmmode_set_desired_modes() even if set_hw == FALSE
git bisect bad 1584dc545c78e0bce8d4b4b9f26b568e2c211453
# good: [43159ef400c3b18b9f4d3e6fa1c4aef2d60d38fe] Add Option "TearFree" v4
git bisect good 43159ef400c3b18b9f4d3e6fa1c4aef2d60d38fe
# bad: [673e1c7637687c74fc9bdeeeffb7ace0d04b734f] Defer initial modeset until the first BlockHandler invocation
git bisect bad 673e1c7637687c74fc9bdeeeffb7ace0d04b734f
# good: [39c497f3efca5ca08343b884f44c93215dcdef31] Only copy fbcon BO contents if bgNoneRoot is TRUE
git bisect good 39c497f3efca5ca08343b884f44c93215dcdef31
# good: [37874a4eeace5df04b02c8fc28f67b824e3f0f5f] Defer initial drmmode_copy_fb call until root window creation
git bisect good 37874a4eeace5df04b02c8fc28f67b824e3f0f5f
# first bad commit: [673e1c7637687c74fc9bdeeeffb7ace0d04b734f] Defer initial modeset until the first BlockHandler invocation

commit 548e97b3b7d1e94075a54ca2bb4eb683025098a7
Author: Michel Dänzer <email address hidden>
Date: Fri Oct 16 16:26:58 2015 +0900

    Call xf86CrtcRotate from initial drmmode_set_desired_modes call

    Fixes various problems when rotation is specified in xorg.conf.

confirmed, latest commit fixed the problem.

Timo Aaltonen (tjaalton) wrote :

thanks for reporting it upstream, this needs to be SRU'd

affects: xorg (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Triaged
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.